summarylogtreecommitdiffstats
diff options
context:
space:
mode:
authorrazer2019-08-23 17:20:54 +0200
committerrazer2019-08-23 17:20:54 +0200
commit250f5e06e504605aa5e2034526a7620e56713612 (patch)
tree9e4c3b9a3194a0b81ea0b3aad8d896b1ea26133f
downloadaur-250f5e06e504605aa5e2034526a7620e56713612.tar.gz
Initial commit
-rw-r--r--.SRCINFO15
-rw-r--r--PKGBUILD24
2 files changed, 39 insertions, 0 deletions
diff --git a/.SRCINFO b/.SRCINFO
new file mode 100644
index 00000000000..ebddd3e7253
--- /dev/null
+++ b/.SRCINFO
@@ -0,0 +1,15 @@
+pkgbase = python-adafruit-gpio
+ pkgdesc = Library to provide a cross-platform GPIO interface on the Raspberry Pi and Beaglebone Black using the RPi.GPIO and Adafruit_BBIO libraries.
+ pkgver = 1.0.3
+ pkgrel = 0
+ url = https://github.com/adafruit/Adafruit_Python_GPIO//
+ arch = any
+ license = MIT
+ makedepends = python-setuptools
+ depends = python
+ depends = python-raspberry-gpio
+ source = https://pypi.io/packages/source/a/adafruit-gpio/Adafruit_GPIO-1.0.3.tar.gz
+ sha256sums = d6465b92c866c51ca8f3bc1e8f2ec36f5ccdb46d0fd54101c1109756d4a2dcd0
+
+pkgname = python-adafruit-gpio
+
diff --git a/PKGBUILD b/PKGBUILD
new file mode 100644
index 00000000000..33990dd5f3d
--- /dev/null
+++ b/PKGBUILD
@@ -0,0 +1,24 @@
+# Maintainer: Razer <razer[AT]neuf[DOT]fr>
+
+pkgname=python-adafruit-gpio
+_pypi_pkgname=adafruit-gpio
+pkgver=1.0.3
+pkgrel=0
+pkgdesc="Library to provide a cross-platform GPIO interface on the Raspberry Pi and Beaglebone Black using the RPi.GPIO and Adafruit_BBIO libraries."
+arch=(any)
+url="https://github.com/adafruit/Adafruit_Python_GPIO//"
+license=('MIT')
+makedepends=('python-setuptools')
+depends=('python' 'python-raspberry-gpio')
+source=("https://pypi.io/packages/source/a/${_pypi_pkgname}/Adafruit_GPIO-${pkgver}.tar.gz")
+sha256sums=('d6465b92c866c51ca8f3bc1e8f2ec36f5ccdb46d0fd54101c1109756d4a2dcd0')
+
+build() {
+ cd "${srcdir}/Adafruit_GPIO-${pkgver}"
+ python setup.py build || return 1
+}
+
+package() {
+ cd "${srcdir}/Adafruit_GPIO-${pkgver}"
+ python setup.py install --root=${pkgdir} --optimize=1 || return 1
+}